SDL_ExtendedGameControllerBind Struct Reference

## Data Fields

SDL_GameControllerBindType | inputType
union {
int button
struct {
int axis
int axis_min
int axis_max
} axis
struct {
int hat
int hat_mask
} hat
} | input
SDL_GameControllerBindType | outputType
union {
SDL_GameControllerButton button
struct {
SDL_GameControllerAxis axis
int axis_min
int axis_max
} axis
} | output

## Detailed Description

Definition at line 46 of file SDL_gamecontroller.c.

## Field Documentation

## axis [1/4]

int SDL_ExtendedGameControllerBind::axis

Definition at line 54 of file SDL_gamecontroller.c.

Referenced by HandleJoystickAxis(), HandleJoystickButton(), HandleJoystickHat(), HasSameOutput(), ResetOutput(), SDL_GameControllerGetAxis(), SDL_GameControllerGetBindForAxis(), SDL_GameControllerGetBindForButton(), SDL_GameControllerGetButton(), SDL_PrivateGameControllerParseElement(), and SDL_PrivateLoadButtonMapping().

## axis [2/4]

struct { ... } SDL_ExtendedGameControllerBind::axis

## axis [3/4]

SDL_GameControllerAxis SDL_ExtendedGameControllerBind::axis

Definition at line 72 of file SDL_gamecontroller.c.

## axis [4/4]

struct { ... } SDL_ExtendedGameControllerBind::axis

## axis_max

int SDL_ExtendedGameControllerBind::axis_max

Definition at line 56 of file SDL_gamecontroller.c.

## axis_min

int SDL_ExtendedGameControllerBind::axis_min

Definition at line 55 of file SDL_gamecontroller.c.

## button [1/2]

int SDL_ExtendedGameControllerBind::button

Definition at line 51 of file SDL_gamecontroller.c.

Referenced by HandleJoystickAxis(), HandleJoystickButton(), HandleJoystickHat(), HasSameOutput(), ResetOutput(), SDL_GameControllerGetAxis(), SDL_GameControllerGetBindForAxis(), SDL_GameControllerGetBindForButton(), SDL_GameControllerGetButton(), and SDL_PrivateGameControllerParseElement().

## button [2/2]

SDL_GameControllerButton SDL_ExtendedGameControllerBind::button

Definition at line 69 of file SDL_gamecontroller.c.

## hat [1/2]

int SDL_ExtendedGameControllerBind::hat

Definition at line 60 of file SDL_gamecontroller.c.

Referenced by HandleJoystickHat(), SDL_GameControllerGetAxis(), SDL_GameControllerGetBindForAxis(), SDL_GameControllerGetBindForButton(), SDL_GameControllerGetButton(), and SDL_PrivateGameControllerParseElement().

## hat [2/2]

struct { ... } SDL_ExtendedGameControllerBind::hat

## hat_mask

int SDL_ExtendedGameControllerBind::hat_mask

Definition at line 61 of file SDL_gamecontroller.c.

## input

union { ... } SDL_ExtendedGameControllerBind::input

Referenced by HandleJoystickAxis(), HandleJoystickButton(), HandleJoystickHat(), SDL_GameControllerGetAxis(), SDL_GameControllerGetBindForAxis(), SDL_GameControllerGetBindForButton(), SDL_GameControllerGetButton(), SDL_PrivateGameControllerParseElement(), and SDL_PrivateLoadButtonMapping().

## inputType

SDL_GameControllerBindType SDL_ExtendedGameControllerBind::inputType

Definition at line 48 of file SDL_gamecontroller.c.

Referenced by HandleJoystickAxis(), HandleJoystickButton(), HandleJoystickHat(), SDL_GameControllerGetAxis(), SDL_GameControllerGetBindForAxis(), SDL_GameControllerGetBindForButton(), SDL_GameControllerGetButton(), SDL_PrivateGameControllerParseElement(), and SDL_PrivateLoadButtonMapping().

## output

union { ... } SDL_ExtendedGameControllerBind::output

Referenced by HandleJoystickAxis(), HandleJoystickButton(), HandleJoystickHat(), HasSameOutput(), ResetOutput(), SDL_GameControllerGetAxis(), SDL_GameControllerGetBindForAxis(), SDL_GameControllerGetBindForButton(), SDL_GameControllerGetButton(), SDL_PrivateGameControllerParseElement(), and SDL_PrivateLoadButtonMapping().

## outputType

SDL_GameControllerBindType SDL_ExtendedGameControllerBind::outputType

Definition at line 66 of file SDL_gamecontroller.c.

Referenced by HandleJoystickAxis(), HandleJoystickButton(), HandleJoystickHat(), HasSameOutput(), ResetOutput(), SDL_GameControllerGetAxis(), SDL_GameControllerGetBindForAxis(), SDL_GameControllerGetBindForButton(), SDL_GameControllerGetButton(), SDL_PrivateGameControllerParseElement(), and SDL_PrivateLoadButtonMapping().

The documentation for this struct was generated from the following file:

- src/joystick/SDL_gamecontroller.c